/* ************************************************************************** */
/*                                                                            */
/*                                                        ::::::::            */
/*   environment.h                                      :+:    :+:            */
/*                                                     +:+                    */
/*   By: whaffman <whaffman@student.codam.nl>         +#+                     */
/*                                                   +#+                      */
/*   Created: 2025/02/04 16:26:35 by whaffman      #+#    #+#                 */
/*   Updated: 2025/03/04 16:30:03 by whaffman      ########   odam.nl         */
/*                                                                            */
/* ************************************************************************** */

#ifndef ENVIRONMENT_H
# define ENVIRONMENT_H

# include "minishell.h"

void			environment_add(t_minishell *msh,
					char *name, char *value);
void			environment_print(t_minishell *msh, int export);
t_environment	*environment_get(t_minishell *msh, char *name);
void			environment_free_list(t_minishell *msh);
int				environment_parse(t_minishell *msh, char **envp);
char			**environment_get_arr(t_minishell *msh);
void			environment_del(t_minishell *msh, char *name);
void			environment_free(t_minishell *msh, void *content);
void			environment_update(t_minishell *msh, char *name, char *value);

#endif // ENVIRONMENT_H
